# Class CIM_iSCSISessionFailures
extends CIM_StatisticalData

Failure Statistics for Sessions associated with a iSCSI Node. An instance of this class will be associated by ElementStatisticalData to an instance of SCSIProtocolController representing an iSCSI Node. These statistics are associated to a Node since they describe the aggregated Session data for all failed Sessions associated to iSCSI protocol endpoints used by the Node.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_iSCSISessionFailures

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Failure Statistics for Sessions associated with a iSCSI Node. An instance of this class will be associated by ElementStatisticalData to an instance of SCSIProtocolController representing an iSCSI Node. These statistics are associated to a Node since they describe the aggregated Session data for all failed Sessions associated to iSCSI protocol endpoints used by the Node.
UMLPackagePath | string | CIM::Network::iSCSI
Version | string | 2.11.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LastSessionFailureRemoteNodeName | string |
Description | string | The iSCSI name of the remote node from the failed session.
MappingStrings | string | MIB.IETF|iSCSI-MIB.iscsiInstLastSsnRmtNodeName
ModelCorrespondence | string | CIM_iSCSISessionFailures.LastSessionFailureType
LastSessionFailureType | uint16 |
Description | string | The type of the last session failure.
MappingStrings | string | MIB.IETF|iSCSI-MIB.iscsiInstLastSsnFailureType
ModelCorrespondence | string | CIM_iSCSISessionFailures.OtherLastSessionFailureType, CIM_iSCSISessionFailures.LastSessionFailureRemoteNodeName
ValueMap | string | 1, 2, 3, 4
Values | string | Other, Digest, Timeout, Format
OtherLastSessionFailureType | string |
Description | string | A string describing the type of the last Session failure when LastSessionFailureType is equal to the value 1, "Other".
ModelCorrespondence | string | CIM_iSCSISessionFailures.LastSessionFailureType
SessionConnectionTimeoutFailures | uint64 |
Counter | boolean | true
Description | string | The count of sessions which were failed due to a sequence exceeding a time limit.
MappingStrings | string | MIB.IETF|iSCSI-MIB.iscsiInstSsnCxnTimeoutErrors
SessionDigestFailures | uint64 |
Counter | boolean | true
Description | string | The count of sessions which were failed due to receipt of a PDU containing header or data digest errors.
MappingStrings | string | MIB.IETF|iSCSI-MIB.iscsiInstSsnDigestErrors
SessionFailures | uint64 |
Counter | boolean | true
Description | string | The number of times a session belonging to this Network Entity has been failed.
MappingStrings | string | MIB.IETF|iSCSI-MIB.iscsiInstSsnFailures
SessionFormatErrors | uint64 |
Counter | boolean | true
Description | string | The count of sessions which were failed due to receipt of a PDU which contained a format error.
MappingStrings | string | MIB.IETF|iSCSI-MIB.iscsiInstSsnFormatErrors

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ResetSelectedStats | uint32 | CIM_StatisticalData